#include <GL/glut.h>
#include <stdlib.h>

#include "GameSession.h"
#include "GameIntro.h"
#include "extern.h"
#include "utility.h"

#ifdef _WIN32
#define drand48() (((float) rand())/((float) RAND_MAX))
#define srand48(x) (srand((x)))
#endif

void GameIntro::Key(unsigned char key)
{
	switch(key){
		case ' ' : Game=&GS;
			GS.Init();
			GS.Reshape(ScreenW,ScreenH);
			break;
		}
}

void GameIntro::Init()
{
	float lp[4]={1,1,3,0};
	glLightfv(GL_LIGHT0,GL_POSITION,lp);
  glEnable(GL_LIGHT0);
	glEnable(GL_LIGHTING);
	//glEnable(GL_CULL_FACE);
	// Remove Comments if some face disappears...
	glDisable(GL_CULL_FACE);
	glLightModeli(GL_LIGHT_MODEL_TWO_SIDE,1);
	glEnable(GL_COLOR_MATERIAL);
	glEnable(GL_DEPTH_TEST);
	glEnable(GL_NORMALIZE);
}

void GameIntro::Draw()
{ static float angle=0;

	glLoadIdentity();
	glColor3f(.7,.7,1);
	glPrintf(ScreenW/2-50,ScreenH/3,20,"press space to start game");
	angle+=5.0;
	glRotatef(angle,0,1,0);
	glScalef(40,40,40);
	A.Draw();
}

void  GameIntro::Reshape(int w,int h)
{
  ScreenW=w;
  ScreenH=h;
	int SpaceSize=100;
	float wr=float(w)/h;
  float hr=float(h)/w;

	if(w>h) hr=1;
	else wr=1;
  int VL = -SpaceSize*wr;
  int VR =  SpaceSize*wr;
  int VB = -SpaceSize*hr;
  int VT =  SpaceSize*hr;
  glViewport(0,0,w,h);
  glMatrixMode(GL_PROJECTION);
  glLoadIdentity();
  glOrtho(VL,VR,VB,VT,-100,100);
  glMatrixMode(GL_MODELVIEW);
}
